#{extends 'border.html'/}
<div class="container">
<!-- #{form @masterdata.InstansiSatkerCtr.createSubmit(), method:'POST', class:'form-horizontal'} -->
    
    <div class="row">
		<div class="col-md-12">
			<!-- Breadcrumb -->
			<ol class="breadcrumb">
				<li><a href="@{PublikCtr.home()}">&{'beranda.label'}</a></li>
				<li><a href="@{masterdata.InstansiSatkerCtr.index()}">&{'instansi.label'}</a></li>
				<li class="active">&{'detail.label'} &{'instansi.label'}</li>
			</ol>
			<!-- End Breadcrumb -->
		</div>
	</div>
	
	<div class="row">
		<div class="col-md-12">
			<!-- Toolbar -->
			<div class="toolbar">
				#{backButton/}
			</div>
			<!-- End Toolbar -->
		</div>
	</div>


	<div class="row">
		<div class="col-md-12">
			#{alert /}
			<div class="panel panel-default">
				<div class="panel-body" style="overflow-x: auto">
					<!-- Data Table -->
					<table class="table table-striped" id="tblSatker">
						<thead>
							<th>&{'nomor.label'}</th>
							<th>&{'nama.label'}</th>
							<th>&{'alamat.label'}</th>
							<th>&{'klpd.label'}</th>
						</thead>
					</table>
					<!-- End Data Table -->
				</div>
			</div>
		</div>
	</div>

	<!-- Modal -->
	<div class="modal fade" id="editModal" tabindex="-1" role="dialog"
		aria-labelledby="myModalLabel">
		<div class="modal-dialog" role="document">
			#{form @masterdata.InstansiSatkerCtr.editNilaiSubmit(), method:'POST'}
			<div class="modal-content">
				<div class="modal-header">
					<button type="button" class="close" data-dismiss="modal"
						aria-label="Close">
						<span aria-hidden="true">&times;</span>
					</button>
					<h4 class="modal-title" id="myModalLabel">&{'ubah.label'} &{'satuan_kerja.label'}</h4>
				</div>
				<div class="modal-body">
					<div class="form-group required">
						<label class="control-label">&{'nama.label'}</label>
						<input type="text" id="nama_kabupaten" name="nama_kabupaten" class="form-control" required disabled/>
					</div>
					
					<input id="id_kabupaten" name="id_kabupaten" type="hidden" value="${model?.id}"/>
					<input id="input_id" name="id" type="hidden" />
				</div>
				<div class="modal-footer">
                	<button type="button" class="btn btn-default btn-md" data-dismiss="modal"><i class="fa fa-close"></i> &{'batal.label'}</button>
                	<button type="submit" class="btn btn-primary btn-md"><i class="fa fa-save"></i> &{'simpan.label'}</button>
                </div>
			</div>
			#{/form}
		</div>
	</div>
    
<!-- #{/form} -->
</div>

#{set 'moreScripts'}
<script type="text/javascript">
    jQuery(document).ready(function($) {

		$("#tblSatker").dataTable({
			ajax : {
				url : "@{DataTableCtr.cariSatker()}" + "?instansi_id="+"${kldi?.id}",
				cache : true
			},
			order : [ [ 1, "asc" ] ],
			columns : [ {
				"searchable" : false, "className": "header-center",
                render: function(data, type, row, meta) {
                    return meta.row + meta.settings._iDisplayStart + 1 + ".";
                }
			}, {
				"searchable" : false
			}, {
				"searchable" : false
			}, {
				"searchable" : false, "className": "header-center"
			} ]
		});

		// $("body").on("click", ".nama_kabupaten", function() {
		// 	var nama = $(this).html();
		// 	var id = $(this).attr("nilai_id");
		// 	$("#input_id").val(id);
		// 	$("#nama_kabupaten").prop('disabled', true);
		// 	$("#nama_kabupaten").val(nama);
		// 	$("#editModal").modal();
		// });

		// $("body").on("click", "#btnAdd", function() {
		// 	var id = 0;
		// 	var nilaiJual = 0;
		// 	var nilaiBeli = 0;
		// 	$("#input_id").val(id);
		// 	$("#nama_kabupaten").prop('disabled', false);
		// 	$("#nama_kabupaten").val("");
		// 	$("#editModal").modal();
		// });



		$("#addInput").on("click",function(){
			var str = "<tr><td><a id='removeInput' class='btn btn-danger'><i class='fa fa-trash'></i></a></td><td><input class='form-control' name='nama_kabupaten_arr'/></td></tr>";
			$("#inputForm").append(str);
		});

		$("body").on("click","#removeInput",function(){
			$(this).parent().parent().remove();
		});

		$("#removeAllInput").on("click",function(){
			$("#inputForm tr").remove();
		});
    });
</script>
#{/set}